#!/usr/bin/perl

######################################################################
package Cognition::DocModel::Section;
######################################################################

use Cognition::DocModel::Node;

sub uri
{
	my $this = shift;
	my $all  = shift;
	my @rv;
	
	if (length $this->{_dom}->getAttribute('id'))
	{
		push @rv, $this->{_page}->abs_url.'#'.$this->{_dom}->getAttribute('id');
	}
	elsif (length $this->{outline})
	{
		push @rv, $this->{_page}->abs_url . '#section(' . $this->{outline} . ')';
	}
	push @rv, Cognition::HTMLParser::Utils::XPointer($this->{_dom}, $this->{_page}->abs_url);
	
	return $rv[0] unless (defined $all);
	while ($all) { shift @rv; $all--; }
	return @rv;
} #/sub uri

sub rdf_subject { Cognition::DocModel::Node::rdf_subject(@_); }
sub metadata_ns { Cognition::DocModel::Node::metadata_ns(@_); }

1; #/package Cognition::DocModel::Section




